Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.2.2

Description

Basically, I'd like to get my "to do list," meaning everything that has a start date of today or before (because I want to exclude things

that are specifically planned for the future).  I just upgraded to 2.2.2 from some old 1.x version (sorry I don't remember which one),

and in the previous version, I did this by filtering for "Start Date is more than -1 days ago" (because more than 0 days ago excludes

things whose start date is today).  In the new version, -1 is an invalid number of days.  Maybe there's a better way to do this that I

can't see, but I don't see another option to get me what I want.

While I understand that -1 days doesn't make a lot of sense, I think that leaving it possible to write queries that use it does help

certain use cases, and if someone is using "-1 days," they probably understand that they're doing something weird.

I've also used it to show "things whose start date is before today or within the next week" by using "Start Date is more than -7 days

ago."

History

#1 - 2013-04-11 04:13 - Filou Centrinov

Just set "more than days ago" to 0 and you get all issue from today and before. (Redmine 2.3)

#2 - 2013-04-11 13:56 - Toshi MARUYAMA

- File filter.png added

You can use ">=" filter.

 filter.png 

#3 - 2013-04-16 13:56 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2015-08-23 17:24 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
